#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/* @(#)iim.fc	19.1 (ES0-DMD) 02/25/03 13:54:40 */
/*===========================================================================
  Copyright (C) 1995 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Corresponding concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

#include <ftoc.h>


#define IIMCMY	iimcmy_
ROUTINE IIMCMY(dsplay,chan,nochan,value,idst)
fint2c *dsplay;
fint2c *chan;
fint2c *nochan;
fint2c *value;
fint2c *idst;
{
	*idst = IIMCMY_C(*dsplay,chan,*nochan,*value);
}

#define IIMSTW	iimstw_
ROUTINE IIMSTW(dsplay,chan,loadfl,szx,szy,depth,xbeg,ybeg,idst)
fint2c *dsplay;
fint2c *chan;
fint2c *szx;
fint2c *szy;
fint2c *loadfl;
fint2c *depth;
fint2c *idst;
fint2c *xbeg;
fint2c *ybeg;
{
	*idst = IIMSTW_C(*dsplay,*chan,*loadfl,*szx,*szy,*depth,*xbeg,*ybeg);
}

#define IIMWMY	iimwmy_
ROUTINE IIMWMY(dsplay,chan,pix,size,depth,pack,xbeg,ybeg,idst)
fint2c *dsplay;
fint2c *chan;
fint2c *size;
fint2c *depth;
fint2c *pack;
fint2c *xbeg;
fint2c *ybeg;
fint2c *pix;
fint2c *idst;
{
	*idst = IIMWMY_C(*dsplay,*chan,pix,*size,*depth,*pack,*xbeg,*ybeg);
}

#define IIMRMY	iimrmy_
ROUTINE IIMRMY(dsplay,chan,size,xbeg,ybeg,depth,pack,ittflg,pix,idst)
fint2c *dsplay;
fint2c *chan;
fint2c *size;
fint2c *depth;
fint2c *pack;
fint2c *ittflg;
fint2c *xbeg;
fint2c *ybeg;
fint2c *idst;
fint2c *pix;
{
	*idst = IIMRMY_C(*dsplay,*chan,*size,*xbeg,*ybeg,
			 *depth,*pack,*ittflg,pix);
}

#define IIMSMV	iimsmv_
ROUTINE IIMSMV(dsplay,chan,nochan,vis,idst)
fint2c *dsplay;
fint2c *chan;
fint2c *nochan;
fint2c *vis;
fint2c *idst;
{
	*idst = IIMSMV_C(*dsplay,chan,*nochan,*vis);
}

#define IIMSLT	iimslt_
ROUTINE IIMSLT(dsplay,chan,lut,itt,idst)
fint2c *dsplay;
fint2c *chan;
fint2c *itt;
fint2c *lut;
fint2c *idst;
{
	*idst = IIMSLT_C(*dsplay,*chan,*lut,*itt);
}

#define IIMBLM	iimblm_
ROUTINE IIMBLM(dsplay,memids,memlim,delay,idst)
fint2c *dsplay;
fint2c *memids;
fint2c *memlim;
fint2c *idst;
float  *delay;
{
	*idst = IIMBLM_C(*dsplay,memids,*memlim,delay);
}

